### Method

# ECal Component get_icalcomponent

since: 3.34

#### Declaration [src]

    ICalComponent*
    e_cal_component_get_icalcomponent (
      ECalComponent* comp
    )

#### Description [src]

Queries the #icalcomponent structure that a calendar component object is wrapping.

Available since: 3.34

#### Return value

Type: `None`

An `ICalComponent` structure, or `NULL` if the `comp` has no `ICalComponent` set to it.

The returned data is owned by the instance.
The return value can be `NULL`.